.panel.panel-default{"ng-controller" => "PlantCountCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary No. of Horticulture & Forest Species Planted
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;", :rowspan=>"2"} Horticulture Plants
            %th{:style => "text-align:center;", :colspan=>"2"} Number
            %th{:style => "text-align:center;width: 75px;", :rowspan=>"2"}
          %tr
            %th{:style => "text-align:center;"} Field
            %th{:style => "text-align:center;"} Backyard
     
        %tbody
          %tr{ "ng-repeat" => "plant_count in data_list "}
            %td{:style => "text-align:center;"} {{ plant_count.horticulture_plant.name }}
            %td{:style => "text-align:center;"} {{ plant_count.field}}
            %td{:style => "text-align:center;"} {{ plant_count.backyard }}
            %td
              %a{ "ng-click" => "edit(plant_count.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(plant_count.id, plant_count.url);" } 
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr
            %td
              %select{"ng-model" => "vm.horticulture_plant", "ng-options" => "horticulture_plant.name for horticulture_plant in horticulture_plants track by horticulture_plant.id ", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = number_field :field, '', :class => "form-control", "ng-model" => "vm.field"
            %td
              = number_field :backyard, '', :class => "form-control", "ng-model" => "vm.backyard"

              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 

.col-lg-12
  %div{:style => "float:left; line-height:24px;padding-top:5px;"}
    Are you interested in cultivating horticulture species ?
  %div{:style => "float:left;margin: -10px 0px 0px 10px;"}
    %select{"ng-model" => "intrested_in_horti_cultivate", "ng-options" => "boolToStr(item) for item in [true, false]", :class => "form-control", :placeholder => "Select"}
      %option{:value=>'', :selected => 'selected'} Select
      
  %div{:style=> "clear:both;"}
%br
%br

.panel.panel-default{"ng-if" => "intrested_in_horti_cultivate === true","ng-controller" => "CultivateHorticultureCtrl"}
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Horticulture Plants
            %th{:style => "text-align:center;"} Number
            %th{:style => "text-align:center;width: 75px;"}
     
        %tbody
          %tr{ "ng-repeat" => "cul_horti in data_list "}
            %td{:style => "text-align:center;"} {{ cul_horti.horticulture_plant.name }}
            %td{:style => "text-align:center;"} {{ cul_horti.number}}
            %td
              %a{ "ng-click" => "edit(cul_horti.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(cul_horti.id, cul_horti.url);" } 
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr
            %td
              %select{"ng-model" => "vm.horticulture_plant", "ng-options" => "horticulture_plant.name for horticulture_plant in horticulture_plants track by horticulture_plant.id", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = number_field :number, '', :class => "form-control", "ng-model" => "vm.number"

              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 

.panel.panel-default{"ng-controller" => "ForestrySpecyCtrl"}
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;", :rowspan=>"2"} Forestry Species
            %th{:style => "text-align:center;", :colspan=>"2"} Number
            %th{:style => "text-align:center;width: 75px;", :rowspan=>"2"}
          %tr
            %th{:style => "text-align:center;"} Field
            %th{:style => "text-align:center;"} Backyard
     
        %tbody
          %tr{ "ng-repeat" => "forestry_specy in data_list "}
            %td{:style => "text-align:center;"} {{ forestry_specy.forestry_plant.name }}
            %td{:style => "text-align:center;"} {{ forestry_specy.field}}
            %td{:style => "text-align:center;"} {{ forestry_specy.backyard }}
            %td
              %a{ "ng-click" => "edit(forestry_specy.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(forestry_specy.id, forestry_specy.url);" } 
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr
            %td
              %select{"ng-model" => "vm.forestry_plant", "ng-options" => "forestry_plant.name for forestry_plant in forestry_plants track by forestry_plant.id", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = number_field :field, '', :class => "form-control", "ng-model" => "vm.field"
            %td
              = number_field :backyard, '', :class => "form-control", "ng-model" => "vm.backyard"

              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{"ng-if" => "intrested_in_forestry_cultivate != true",:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{"ng-if" => "intrested_in_forestry_cultivate != true",:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}

.col-lg-12
  %div{:style => "float:left; line-height:24px;padding-top:5px;"}
    Are you interested in cultivating forestry species ?
  %div{:style => "float:left;margin: -10px 0px 0px 10px;"}
    %select{"ng-model" => "intrested_in_forestry_cultivate", "ng-options" => "boolToStr(item) for item in [true, false]", :class => "form-control", :placeholder => "Select"}
      %option{:value=>'', :selected => 'selected'} Select  
      
  %div{:style=> "clear:both;"}
%br
%br

.panel.panel-default{"ng-if" => "intrested_in_forestry_cultivate === true", "ng-controller" => "ForestryCultivationCtrl"}
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Forestry Species
            %th{:style => "text-align:center;"} Number
            %th{:style => "text-align:center;width: 75px;"}
     
        %tbody
          %tr{ "ng-repeat" => "forestry_cultivation in data_list "}
            %td{:style => "text-align:center;"} {{ forestry_cultivation.forestry_plant.name }}
            %td{:style => "text-align:center;"} {{ forestry_cultivation.number}}
            %td
              %a{ "ng-click" => "edit(forestry_cultivation.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(forestry_cultivation.id, forestry_cultivation.url);" } 
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr
            %td
              %select{"ng-model" => "vm.forestry_plant", "ng-options" => "forestry_plant.name for forestry_plant in forestry_plants track by forestry_plant.id", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = number_field :number, '', :class => "form-control", "ng-model" => "vm.number"

              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"} 